package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.model.dto.SystemPushConfigDTO;
import com.yx.face.model.vo.SystemPushConfigVO;

/**
 * @ProjectName: face-server
 * @Package: com.yx.face.service
 * @ClassName: SystemPushConfigService
 * @Author: 崔哥
 * @Description:
 * @Date: 2021/11/22 16:53
 * @Version: 1.0
 */
public interface SystemPushConfigService {
    Boolean add(SystemPushConfigDTO dto, Integer userId);

    Boolean update(SystemPushConfigDTO dto, Integer userId);

    Boolean updateStatus(Integer id, Integer status);

    PageInfo<SystemPushConfigVO> getList(Integer pageNum, Integer pageSize, Integer accountId, Integer status);

    Boolean delete(Integer id);
}
